/**
 * bc_ui_state.h
 *
 * Copyright (C) 2004-2005, J. Salvatore Testa II
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */

#ifndef _BC_UI_STATE_H
#define _BC_UI_STATE_H

#include <string.h>

#include "gaim.h"
#include "gtkutils.h"
#include "bc_ui.h"

gchar *bc_get_encryption_state(GaimConversation *c);
void bc_set_state_plaintext(GaimConversation *c);
void bc_set_state_transition1(GaimConversation *c);
void bc_set_state_transition2(GaimConversation *c);
void bc_set_state_encrypted(GaimConversation *c);
void bc_ensure_state_valid(GaimConversation *c);

unsigned int bc_is_state_encrypted(GaimConversation *c);
unsigned int bc_is_state_plaintext(GaimConversation *c);

#endif
